Description

Support Anfrage:

ich habe in einer Minimalconfiguration das Verhalten nachvollziehen können:

1)      Continuous Mode with File Based History ist nur nutzbar, wenn eine Historie > 0 (Zeit oder Datenmenge) definiert ist

2)      Splitting wird im Modus "Continuous Mode with File Based History" generell nicht unterstützt

Da ihr im Moment keine History benötigt, solltet ihr den Continuous Mode with Memory History nutzen.

@Digitalwerk: Gibt es einen bestimmten Grund, warum Splitting mit File Based History nicht unterstützt wird?

Lösung:

Die Implementierung des Continuous Mode with File Based History unterscheidet sich deutlich von der des Continuous Mode with

Memory History.

Continuous Mode with File Based History war deutlich aufwendiger und es waren keine größeren Use Cases für Splitting bekannt.

Deswegen wurde dies bei ADTF 2.x nicht unterstützt.

In ADTF 3.x wurde dies besser gelöst. Unsere Empfehlung wäre hier wenn möglich ADTF 3.x zu verwenden.

History

#1 - 2019-06-04 13:58 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::DAT

- Customer set to AUDI

- Department set to EF

@Jens: Zur Vollständigkeit, welche ADTF 2.x Version wird verwendet?

#2 - 2019-06-04 13:59 - hidden

ADTF 2.14.3

#3 - 2019-06-04 14:00 - hidden

- Affected Products ADTF 2.14.3 added

#5 - 2019-06-04 16:05 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Solved Issue

- Platform Windows 7 64bit added
Hallo Jens,

wie bereits kurz besprochen:

Die Implementierung des Continuous Mode with File Based History unterscheidet sich deutlich von der des Continuous Mode with Memory History.

Diese war deutlich aufwendiger und es waren keine größeren Use Cases für Splitting bekannt.

Deswegen wurde dies bei ADTF 2.x nicht unterstützt.

In ADTF 3.x wurde dies besser gelöst. Unsere Empfehlung wäre hier wenn möglich ADTF 3.x zu verwenden.

Bitte noch um kurzes Feedback ob das Support Ticket damit geschlossen werden kann.

#6 - 2019-06-04 16:32 - hidden

Danke. Ticket kann geschlossen werden.

#7 - 2019-06-05 08:07 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#8 - 2019-06-05 08:09 - hidden

- Subject changed from Splitting to Continuous Mode with File Based History don't support splitting

#9 - 2020-07-07 12:38 - hidden

- Project changed from 11 to Public Support

- Private changed from Yes to No

#10 - 2020-07-07 12:44 - hidden

- Status changed from To Be Closed to Closed
